using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Html;
using Microsoft.AspNetCore.Razor;
using Newtonsoft.Json;
using EFB.Models.JSON;
using Microsoft.AspNetCore;
using EFB.Sessions;

namespace EFB.Models
{
    public class ViewChartModel
    {
        public ChartModel Charts { get; set; }
        public Chart Selected { get; set; }
        
        public ViewChartModel(ChartModel current, string selected){
            Charts = current;
            if (selected != null)
            {
                Selected = JsonConvert.DeserializeObject<Chart>(selected);
            }
        }
    }
}